<?php

declare(strict_types=1);

namespace Drupal\minikanban_agent;

use Drupal\minikanban\TaskInterface;
use Drupal\minikanban_agent\DTO\AsyncJobData;

/**
 * Interface for minikanban_async_job plugins.
 */
interface AsyncJobInterface {

  /**
   * Check remote for an update on the job.
   *
   * @param \Drupal\minikanban_agent\DTO\AsyncJobData $job
   *   The job.
   * @param \Drupal\minikanban\TaskInterface $task
   *   The task entity.
   */
  public function checkForUpdate(AsyncJobData $job, TaskInterface $task): void;

}
