<?php

namespace Drupal\minikanban_agent\Enum;

use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Enum for async job status.
 */
enum AsyncJobStatus: string {

  case Pending = 'pending';
  case InProgress = 'in_progress';
  case Completed = 'completed';
  case Failed = 'failed';

  /**
   * Get the option labels.
   *
   * @return array<string, \Drupal\Core\StringTranslation\TranslatableMarkup>
   *   The labels, keyed by machine name.
   */
  public static function getOptions(): array {
    return [
      self::Pending->value => new TranslatableMarkup('Pending'),
      self::InProgress->value => new TranslatableMarkup('In progress'),
      self::Completed->value => new TranslatableMarkup('Completed'),
      self::Failed->value => new TranslatableMarkup('Failed'),
    ];
  }

}
